Bug 1550799 - ostree package shipping systemd preset
Summary: ostree package shipping systemd preset
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ostree
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-02 03:42 UTC by Stephen Gallagher
Modified: 2018-11-27 22:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 22:03:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Stephen Gallagher 2018-03-02 03:42:19 UTC
Description of problem:
The ostree package is shipping /usr/lib/systemd/system-preset/91-ostree.preset

Fedora packaging guidelines prohibit any package other than 'systemd' or 'fedora-release[-*]' from shipping presets.

This file is also redundant, as the only service it manages (ostree-remount.service) is included in fedora-release since https://bugzilla.redhat.com/show_bug.cgi?id=1451458

Version-Release number of selected component (if applicable):
ostree-2018.2-1.fc27.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. rpm -ql ostree

Actual results:
/usr/lib/systemd/system-preset/91-ostree.preset is provided by the ostree rpm

Expected results:
No presets should be shipped by any package.

Additional info:

Comment 1 Jonathan Lebon 2018-03-07 14:19:43 UTC
Thanks Stephen. Fixed in dist-git:

https://src.fedoraproject.org/rpms/ostree/c/82d1f941ed1504840a63b5635e1051ccd2774b07

I noticed this bug is targeting f27. I hope you don't mind if we wait for the next ostree release to respin it there.

Comment 2 Ben Cotton 2018-11-27 16:43:51 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jonathan Lebon 2018-11-27 22:03:15 UTC
This is fixed in f28 and later.


Note You need to log in before you can comment on or make changes to this bug.